Package: org.gradle.api.artifacts.maven

## [Java] Interface MavenDeployment

- Represents the artifacts which will be deployed to a Maven repository. You can use this interface to modify the set of artifacts.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addArtifact(PublishArtifact artifact)` Adds an additional artifact to this deployment.
    `Set<PublishArtifact>` | `getArtifacts()` Returns the artifacts which will be deployed.
    `Set<PublishArtifact>` | `getAttachedArtifacts()` Returns the additional artifacts for this deployment.
    `PublishArtifact` | `getMainArtifact()` Returns the main artifact for this deployment.
    `PublishArtifact` | `getPomArtifact()` Returns the POM for this deployment.

- - ### Method Detail

    - #### public void addArtifact(PublishArtifact artifact)

      Adds an additional artifact to this deployment.

      Parameters:
        `artifact` - The artifact to add.

    - #### public Set<PublishArtifact> getArtifacts()

      Returns the artifacts which will be deployed. Includes the POM artifact.

      Returns:
        The artifacts. Never null.

    - #### public Set<PublishArtifact> getAttachedArtifacts()

      Returns the additional artifacts for this deployment.

      Returns:
        the additional artifacts for this deployment. Never null.

    - #### public PublishArtifact getMainArtifact()

      Returns the main artifact for this deployment.

      Returns:
        The main artifact. May be null.

    - #### public PublishArtifact getPomArtifact()

      Returns the POM for this deployment.

      Returns:
        The POM. Never null.